import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataGithubOrganizationTeamSyncGroupsConfig extends cdktf.TerraformMetaArguments {
}
/**
 * @stability stable
 */
export declare class DataGithubOrganizationTeamSyncGroupsGroups extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get groupDescription(): string;
    /**
     * @stability stable
     */
    get groupId(): string;
    /**
     * @stability stable
     */
    get groupName(): string;
}
/**
 * @stability stable
 */
export declare class DataGithubOrganizationTeamSyncGroups extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: DataGithubOrganizationTeamSyncGroupsConfig);
    /**
     * @stability stable
     */
    groups(index: string): DataGithubOrganizationTeamSyncGroupsGroups;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
