import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface UserInvitationAccepterConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly invitationId: string;
}
/**
 * @stability stable
 */
export declare class UserInvitationAccepter extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: UserInvitationAccepterConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _invitationId;
    /**
     * @stability stable
     */
    get invitationId(): string;
    /**
     * @stability stable
     */
    set invitationId(value: string);
    /**
     * @stability stable
     */
    get invitationIdInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
