import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataGithubIpRangesConfig extends cdktf.TerraformMetaArguments {
}
/**
 * @stability stable
 */
export declare class DataGithubIpRanges extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: DataGithubIpRangesConfig);
    /**
     * @stability stable
     */
    get git(): string[];
    /**
     * @stability stable
     */
    get hooks(): string[];
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get importer(): string[];
    /**
     * @stability stable
     */
    get pages(): string[];
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
